import { jsx } from "react/jsx-runtime";
import { FlagBanner as FlagBanner$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FlagBanner = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "FlagBanner", ...props, children: /* @__PURE__ */ jsx(FlagBanner$1, { weight: variant }) });
  }
);
FlagBanner.displayName = "FlagBanner";
Object.assign(FlagBanner, { isGdsIcon: true });
export {
  FlagBanner
};
